Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface DiscriminatorMetadata

All Superinterfaces:
  Metadata

    public interface DiscriminatorMetadata

extends Metadata

Represents the discriminator for inheritance purposes for this class.

Since:
  3.0

Method Summary
`java.lang.String` | `getColumn()` Accessor for the discriminator column name
`ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the discriminator.
`Indexed` | `getIndexed()` Accessor for whether indexed (true|false|unique)
`IndexMetadata` | `getIndexMetadata()` Accessor for any index metadata for the discriminator
`int` | `getNumberOfColumns()` Accessor for the number of columns defined for this discriminator.
`DiscriminatorStrategy` | `getStrategy()` Accessor for the discriminator strategy.
`java.lang.String` | `getValue()` Accessor for the discriminator value (when using "value-map" strategy).
`ColumnMetadata` | `newColumnMetadata()` Add a new column for this discriminator.
`IndexMetadata` | `newIndexMetadata()` Method to set the index metadata for the discriminator
`DiscriminatorMetadata` | `setColumn(java.lang.String column)` Method to set the discriminator column.
`DiscriminatorMetadata` | `setIndexed(Indexed indexed)` Method to set whether indexed.
`DiscriminatorMetadata` | `setStrategy(DiscriminatorStrategy strategy)` Method to set the discriminator strategy.
`DiscriminatorMetadata` | `setValue(java.lang.String val)` Method to set the discriminator value (when using "value-map" strategy).

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setColumn

    DiscriminatorMetadata setColumn(java.lang.String column)

  Method to set the discriminator column.

  Parameters:
    `column` - Name of the discriminator clumn

### getColumn

    java.lang.String getColumn()

  Accessor for the discriminator column name

  Returns:
    The column name

### setValue

    DiscriminatorMetadata setValue(java.lang.String val)

  Method to set the discriminator value (when using "value-map" strategy).

  Parameters:
    `val` - Value for the discriminator for this class

### getValue

    java.lang.String getValue()

  Accessor for the discriminator value (when using "value-map" strategy).

  Returns:
    The value

### setStrategy

    DiscriminatorMetadata setStrategy(DiscriminatorStrategy strategy)

  Method to set the discriminator strategy.

  Parameters:
    `strategy` - The strategy

### getStrategy

    DiscriminatorStrategy getStrategy()

  Accessor for the discriminator strategy.

  Returns:
    The strategy

### setIndexed

    DiscriminatorMetadata setIndexed(Indexed indexed)

  Method to set whether indexed.

  Parameters:
    `indexed` - Whether indexed (true | false | unique)

### getIndexed

    Indexed getIndexed()

  Accessor for whether indexed (true|false|unique)

  Returns:
    Indexed?

### getColumns

    ColumnMetadata[] getColumns()

  Accessor for all column(s) defined on the discriminator.

  Returns:
    The column(s)

### newColumnMetadata

    ColumnMetadata newColumnMetadata()

  Add a new column for this discriminator.

  Returns:
    The ColumnMetadata

### getNumberOfColumns

    int getNumberOfColumns()

  Accessor for the number of columns defined for this discriminator.

  Returns:
    The number of columns

### newIndexMetadata

    IndexMetadata newIndexMetadata()

  Method to set the index metadata for the discriminator

  Returns:
    The IndexMetadata

### getIndexMetadata

    IndexMetadata getIndexMetadata()

  Accessor for any index metadata for the discriminator

  Returns:
    Index metadata

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.